<?php
	session_start();
	include('database.php');
	include('generation_classement.php');
	DB_connexion(); 
	
	ini_set( 'display_errors', '0');
	error_reporting( 0 );
	
	$_SESSION['algorithme'] = "un";
	
	/*if(!isset($_SESSION['logged']) )
	{		header ('Location: interdiction.php');
	}
	
	if($_SESSION['logged']== "no")
	{
		header ('Location: interdiction.php');
	}*/
	
	
	if(!empty($_POST) )
	{
		$_SESSION['sauvegarde_formulaire'] = $_POST ;
     
		$page_actuelle = $_SERVER['PHP_SELF'] ;
		if(!empty($_SERVER['QUERY_STRING']))
		{
			$page_actuelle .= '?' . $_SERVER['QUERY_STRING'] ;
		}
     
		header('Location: ' . $page_actuelle);
		exit;
	}
	
	if(isset($_SESSION['sauvegarde_formulaire']))
	{
		$_POST = $_SESSION['sauvegarde_formulaire'] ;
		unset($_SESSION['sauvegarde_formulaire']);		
	}	
	
	
	if( isset($_POST['valide_form']) && $_POST['valide_form'] == "ok" )
	  {
			
			$_SESSION['message'] = "ok";
			
			$flag_validation = false;
			
			switch ($_POST['selection_score'])
			{
				case "Blanc gagne":
					$score_blanc = "1";
					$score_noir = "0";
					$flag_validation = true;
					break;
				
				case "Blanc perd":
					$score_blanc = "0";
					$score_noir = "1";
					$flag_validation = true;
					break;
				
				case "Noir gagne":
					$score_blanc = "0";
					$score_noir = "1";
					$flag_validation = true;
					break;
				
				case "Noir perd":
					$score_blanc = "1";
					$score_noir = "0";
					$flag_validation = true;
					break;
				
				case "Match nul":
					$score_blanc = "0.5";
					$score_noir = "0.5";
					$flag_validation = true;
					break;

				
			}
			
			if($flag_validation == true)
			{
				/*
				$date =  date("d-m-Y");
				list($jour, $mois, $annee) = explode('-', $date);
				$timestamp = mktime (0, 0, 0, $mois, $jour, $annee);
				
						
				$donnees = array();
				$donnees[0][0] = $timestamp;
				$donnees[0][1] = $_SESSION['$J1_nom'];
				$donnees[0][2] = $_SESSION['$J2_nom'];
				$donnees[0][3] = $score_blanc;
				$donnees[0][4] = $score_noir;
			
				sauvegarde_partie($donnees);
				$message = '<div id="message_traitement" style="display:block">Partie sauvée dans la database.</div>';*/
				
				salut();
				
				$message = '<div id="message_traitement" style="display:block">Prise en compte des modifications.</div>';
			}
			else
			{
				$message = '<div id="message_traitement" style="display:block">Erreur dans le traitement.</div>';
			}
		
	  }
	
?>
  
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr" dir="ltr">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="Description" content="Site perso,cours,ouvrages" />
<meta name="Keywords" content="WEBSITE perso " />
<meta name="Distribution" content="Global" />
<meta name="Robots" content="" />
<meta http-equiv="Content-Language" content="fr" />
<meta name="rating" content="general" />
<meta name="author" content="Patrice DELPY" />
<meta name="copyright" content="Copyright 2013" />
<meta name="generator" content="Patoche" />
<title>Patoche WEBSITE - 2013 - Template du site - en cours de développemment ...</title>

<META http-equiv="Cache-Control" content="no-cache"> 

<!--
en php
header("Cache-Control: no-cache, must-revalidate"); 
-->

<!---------------------------------------------------------->	
<?php
		include('include_css_template_commun.php');
		include('include_css.php');
		include('css_tools_skill.php');
		include('include_javascript.php');

?> 

<style type="text/css">
#bloc_table_forum { float: left;
					width: 831px; 
					padding: 50px 50px 25px 50px;
					}	
					
#navigation_tournoi{
					float: left;
					width: 910px; // 870
					padding: 10px 0px 0px 10px;
		}
					
.marge {
    margin: auto;
    width: 60%;
    padding: 10px ;
	}
	
label {
		display:block;
		float:left;
		width:100px;
		}

					
					
</style>

<script type="text/javascript">
function call_update()
{
	 ajax_routine(); 
	 setTimeout("call_update()", 1000); //appelle la fonction 1 fois par  seconde
}
	 	 
function active(){
						
							document.getElementById("score").style.visibility='visible';
							document.getElementById('valide_form').value="ok";
							
							//starting();
	
	// alert('coucou');
		}
		
		
		
		
		function active_sauver(){
							document.getElementById('send').disabled = false;
							
							
							
	
	// alert('coucou');
		}
		
			function getXhr(){
                                var xhr = null; 
				if(window.XMLHttpRequest) // Firefox et autres
				   xhr = new XMLHttpRequest(); 
				else if(window.ActiveXObject){ // Internet Explorer 
				   try {
			                xhr = new ActiveXObject("Msxml2.XMLHTTP");
			            } catch (e) {
			                xhr = new ActiveXObject("Microsoft.XMLHTTP");
			            }
				}
				else { // XMLHttpRequest non supporté par le navigateur 
				   alert("Votre navigateur ne supporte pas les objets XMLHTTPRequest..."); 
				   xhr = false; 
				} 
                                return xhr;
			}
			
			/**
			* Méthode qui sera appelée sur le click du bouton
			*/
			function go(){
				var xhr = getXhr();
				// On défini ce qu'on va faire quand on aura la réponse
				
				 document.getElementById("souscategorie").style.visibility='visible';
				
				xhr.onreadystatechange = function(){
					// On ne fait quelque chose que si on a tout reçu et que le serveur est ok
					if(xhr.readyState == 4 && xhr.status == 200){
						leselect = xhr.responseText;
						// On se sert de innerHTML pour rajouter les options a la liste
						document.getElementById('souscategorie').innerHTML = leselect;
					}
				}

				// Ici on va voir comment faire du post
				xhr.open("POST","ajax_joueur.php",true);
				// ne pas oublier ça pour le post
				xhr.setRequestHeader('Content-Type','application/x-www-form-urlencoded');
				// ne pas oublier de poster les arguments
				// ici, l'id de Catégorie
				sel = document.getElementById('J1');
				idcategorie = sel.options[sel.selectedIndex].value;
				xhr.send("idcategorie="+idcategorie);
			}
			
			
			function starting(){
				var xhr = getXhr();
				// On défini ce qu'on va faire quand on aura la réponse
				
				document.getElementById("probabilite").style.visibility='visible';
				
				xhr.onreadystatechange = function(){
					// On ne fait quelque chose que si on a tout reçu et que le serveur est ok
					if(xhr.readyState == 4 && xhr.status == 200){
						leselect = xhr.responseText;
						// On se sert de innerHTML pour rajouter les options a la liste
						document.getElementById('probabilite').innerHTML = leselect;
					}
				}

				// Ici on va voir comment faire du post
				//xhr.open("POST","ajax_probabilite.php",true);
				xhr.open("POST","echec03.php",true);
				// ne pas oublier ça pour le post
				xhr.setRequestHeader('Content-Type','application/x-www-form-urlencoded');
				// ne pas oublier de poster les arguments
				// ici, l'id de Catégorie
				sel = document.getElementById('J1');
				J1 = sel.options[sel.selectedIndex].value;
				
				sel = document.getElementById('J2');
				J2 = sel.options[sel.selectedIndex].value;
				
				
				xhr.send("J1="+J1+"&J2="+J2);
				
				
				
				//xhr.send("idcategorie="+idcategorie);
				//xhr.send("idcategorie="+idcategorie&"bidule="+bidule;
				// xhr.send("vara="+login+"&varb="+password); 
				
				//xhr.send("idcategorie"=+idcategorie&"variable2"=+bidule);
			}
			

</script>

<!---------------------------------------------------------->	
</head>

<body>
<!---------------------------------------------------------->	
	<div class="main"> <!-- main -->
<!---------------------------------------------------------->	

          <div class="header">
                <div class="balise_titre">Patoche</div>
                <div class="balise_citation">
                &quot;Etre conscient que l'on est ignorant est un grand pas vers le savoir&quot;
                </div>
          </div> 
 
          <div class="banniere"></div>  

<!---------------------------------------------------------->
<?php
/*	include("include_barre_login.php");
	echo '<div id="box_icon">';
	include("debug_connexion_membre.php");
	echo '</div>';
	include("include_menu.php");*/
	
	echo '<div id="box_infos">';
			include("include_menu.php");
			
			echo '<div id="box_icon2">';
			include("connexion_membre.php");
			echo	'</div>';
			
			echo '<div id="box_icon3">';
			include("include_barre_login.php");
			echo	'</div>';

	echo	'</div>';
	$_SESSION['page_active'] = basename (__FILE__ );
?>
		

<!---------------------------------------------------------->	
            <div class="contenu"> <!-- contenu -->
<!---------------------------------------------------------->	
	
			<div class="barre_vide"></div>
			
			<div id="navigation_tournoi">
				<ul id="menu_horiz">
				<li class="tournoi_joueur_tag"><a href="ajouter_joueur.php" title="aller à la section">Nouveau</a></li>
				<li class="tournoi_partie_tag_selected"><a href="partie.php" title="aller à la section">Partie</a></li>
				<li class="tournoi_classement_tag"><a href="classement.php" title="aller à la section">classement</a></li>
				<li class="tournoi_liste_joueurs_tag"><a href="liste_joueurs.php" title="aller à la section">Joueurs</a></li>
				<li class="tournoi_stats_tag"><a href="historique.php" title="aller à la section">Historique</a></li>
				<li class="tournoi_securite_tag"><a href="admin.php" title="aller à la section">Admin</a></li>
				</ul>
			</div>
			
			<div id="bloc_table_forum">
	
<?php
			$id = $_GET["id"] + 1;
			$sql = "SELECT * FROM joueurs WHERE id = '".$id."' ";
			$results = mysql_query($sql);
			$val = mysql_fetch_array($results);
			$nom =  $val['nom'];
			$prenom =  $val['prenom'];
?>			
	
	
	
			<form method="post" id="form_change_parametres_partie" action="change_parametres_partie.php" > <!-- onsubmit="return valider_inscription(this)" -->

			<input type="hidden" name="valide_form" id="valide_form" value="" />
			
			<fieldset style="width: 600px">
			<legend>Edition des paramétre de la partie  <?php echo $id; ?> </legend>

			<p>				
<div class="center">
			
				<label>Blanc: </label>
				<select name='J1' id='J1' onchange='go()'>
				<option value="vide">- - - Choisissez le Joueur 1 - - -</option>
<?php
						
				$sql = "SELECT * FROM classement";
				$res = mysql_query($sql);

				while($val = mysql_fetch_array($res)) 
				{
					echo "<option>".$val["joueur"]."</option>\n";
				}
?>
				</select>
				
</div>		
			</p>
				
			<p>
			<div id='souscategorie' style="visibility: hidden;"  >  <!-- style='display:inline' -->

<div class="center">					
				
				
			<label>Noir: </label>
			<select name='J2' id='J2'  ">  <!--   -->
			</select>
</div>					
			</div> 
				
			</p>		
				
			<p>
			<div id="score" style="visibility: hidden; ">
			<label>Résultat :</label>
			<select name="selection_score" size="1" style='display:inline' onchange='active_sauver()' >
			<option value="vide">- - - Resultat de la partie - - -</option>

<?php
	
				$J1_nom = $_SESSION['$J1_nom'];
				$J2_nom = $_SESSION['$J2_nom'];
		
				echo '<option>Blanc gagne</option>';
				echo '<option>Blanc perd</option>';
				echo '<option>Noir gagne</option>';
				echo '<option>Noir perd</option>';
				echo '<option>Match nul</option>';
?>
				
				</div>
				
				</p>		
				
				<p>
				<div>
					<input id="send" name="send" type="submit" disabled value="Enregistrer"/>
				</div>
				
				<br>
				<br>
				</p>
<?php
				if($_SESSION['message'] == "ok")
				{	//echo '<div id="message_traitement" style="display:block">Partie sauvée dans la database.</div>';
					echo $message;
					$_SESSION['message'] = "none";
				}
?>	
				
			</fieldset>
		</form>
		
			</div>

			<br/>
			<br/>
			<br/>
			<br/>
			<br/>

<!---------------------------------------------------------->	
<?php			
    include('include_pied_page.php');
	include('include_publicite.php');
?>
<!---------------------------------------------------------->	
			</div>  <!-- contenu -->
<!---------------------------------------------------------->	
	</div>   <!-- main -->
<!---------------------------------------------------------->	

	<script type="text/javascript">
		call_update()
	</script>

</body>
</html>


